Subject: 25.2; shr.el uses shr-tag-img despite set shr-external-rendering-functions
From: Vasilij Schneidermann <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 9 Sep 2017 21:39:39 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm using shr.el for a package and override `shr-tag-img` by let-binding
`shr-external-rendering-functions` to an alist containing an alternative
rendering function that deals better with local images.  Despite this
`shr-tag-img` is still directly called when rendering tables with images
inside them.  The same problem applies to other directly called
rendering functions, as opposed to indirectly called ones as seen in
`shr-descend`, the function honoring `shr-external-rendering-functions`.